# RESTng worker using systemd
# ----------------------------------
#
# /lib/systemd/system/worker.service
#
# run this command to enable service:
# systemctl enable worker.service

[Unit]
Description=RESTng worker for <%= @name %>

[Service]
<%- @worker_environment_vars.each do |value| -%>
<%= %Q(Environment=#{value}) %>
<%- end -%>
User=<%= @restng_user %>
Group=<%= @restng_group %>
Restart=always
ExecStart=/usr/bin/php <%= @restng_home %>/console <%= @command %>

[Install]
WantedBy=multi-user.target